> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one

> Get a specific customer insight — Retrieve detailed information about a specific insight



## OpenAPI

````yaml get /insights/{id}
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /insights/{id}:
    get:
      summary: Get a specific customer insight
      description: Retrieve detailed information about a specific insight
      operationId: getVocInsight
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicInsight'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    PublicInsight:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/PublicInsight'
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        insight_number:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        content:
          type: string
        sentiment:
          type: string
          enum:
            - angry
            - happy
            - neutral
        occurrence_count:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        category:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                name:
                  type: string
                description:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - id
                - name
                - description
              additionalProperties: false
            - type: 'null'
        team:
          anyOf:
            - type: object
              properties:
                id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                name:
                  type: string
              required:
                - id
                - name
              additionalProperties: false
            - type: 'null'
        resolved_by:
          anyOf:
            - type: object
              properties:
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                avatar_url:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - name
                - avatar_url
              additionalProperties: false
            - type: 'null'
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        archived_by:
          anyOf:
            - type: object
              properties:
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                avatar_url:
                  anyOf:
                    - type: string
                    - type: 'null'
                reason:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - name
                - avatar_url
                - reason
              additionalProperties: false
            - type: 'null'
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        archive_policy:
          anyOf:
            - type: string
              enum:
                - forever
                - until_count
                - until_escalating
            - type: 'null'
        resurface_progress:
          anyOf:
            - type: object
              properties:
                current:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                target:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - current
                - target
              additionalProperties: false
            - type: 'null'
        deep_research:
          anyOf:
            - type: string
            - type: 'null'
        deep_research_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        first_seen_at:
          type: string
          format: date-time
        last_seen_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - insight_number
        - content
        - sentiment
        - occurrence_count
        - category
        - team
        - resolved_by
        - resolved_at
        - archived_by
        - archived_at
        - archive_policy
        - resurface_progress
        - deep_research
        - deep_research_completed_at
        - first_seen_at
        - last_seen_at
        - created_at
        - updated_at
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````